jif.types

## Class JifMuPClass_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - polyglot.ext.param.types.PClass_c<Formal,Actual>
    - - polyglot.ext.param.types.MuPClass_c<ParamInstance,Param>
      - - jif.types.JifMuPClass_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.ext.param.types.MuPClass<ParamInstance,Param>, polyglot.ext.param.types.PClass<ParamInstance,Param>, polyglot.types.Importable, polyglot.types.Named, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class JifMuPClass_c
      extends polyglot.ext.param.types.MuPClass_c<ParamInstance,Param>

  An implementation of the `JifParsedPolyType` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ext.param.types.MuPClass_c

      `clazz, formals`

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JifMuPClass_c()`
    `` | `JifMuPClass_c(JifTypeSystem ts, polyglot.util.Position pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ParamInstance>` | `formals()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class polyglot.ext.param.types.MuPClass_c

      `addFormal, clazz, clazz, formals`

    - ### Methods inherited from class polyglot.ext.param.types.PClass_c

      `fullName, instantiate, isCanonical, name, package_, typeSystem`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `copy, equals, equalsImpl, hashCode, position`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ext.param.types.PClass

      `instantiate`

    - ### Methods inherited from interface polyglot.types.Importable

      `package_`

    - ### Methods inherited from interface polyglot.types.Named

      `fullName, name`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, isCanonical, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### JifMuPClass_c

          protected JifMuPClass_c()

    - #### JifMuPClass_c

          public JifMuPClass_c(JifTypeSystem ts,
                               polyglot.util.Position pos)

  - ### Method Detail

    - #### formals

          public java.util.List<ParamInstance> formals()

      Specified by:
        `formals` in interface `polyglot.ext.param.types.PClass<ParamInstance,Param>`
      Overrides:
        `formals` in class `polyglot.ext.param.types.MuPClass_c<ParamInstance,Param>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`